CREATE TABLE gtg_ts_creditcardtrxns (
    ETL_SEQUENCE_ID             NUMBER(19, 0),
    ETL_VERSION_NUMBER          NUMBER(18, 0),
    DELETE_VERSION_NUMBER       NUMBER(18, 0),
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    AIR_DEPARTURE_DATE          DATE         ,
    AIR_PASSENGER_NAME          VARCHAR2(320),
    AIR_TICKET_NUMBER           VARCHAR2(320),
    BILLED_AMOUNT               NUMBER       ,
    BILLED_CURRENCY_CODE        VARCHAR2(60) ,
    CARD_NUMBER                 VARCHAR2(320),
    CREDIT_CARD_TRXN_ID         NUMBER(18, 0),
    CURRENCY_CONVERSION_RATE    NUMBER       ,
    EXMCREDITCARDTRXNS_CB       VARCHAR2(256),
    EXMCREDITCARDTRXNS_CD       TIMESTAMP(6) ,
    EXMCREDITCARDTRXNS_LUB      VARCHAR2(256),
    EXMCREDITCARDTRXNS_LUD      TIMESTAMP(6) ,
    FOLIO_TYPE                  VARCHAR2(320),
    HOTEL_ARRIVAL_DATE          DATE         ,
    HOTEL_DEPART_DATE           DATE         ,
    HOTEL_STAY_DURATION         NUMBER       ,
    MERCHANT_ACTIVITY           VARCHAR2(320),
    MERCHANT_ADDRESS1           VARCHAR2(320),
    MERCHANT_ADDRESS2           VARCHAR2(320),
    MERCHANT_ADDRESS3           VARCHAR2(320),
    MERCHANT_ADDRESS4           VARCHAR2(320),
    MERCHANT_BRAND_CODE         VARCHAR2(200),
    MERCHANT_CATEGORY_CODE      VARCHAR2(120),
    MERCHANT_CHAIN_NAME         VARCHAR2(200),
    MERCHANT_CITY               VARCHAR2(320),
    MERCHANT_COUNTRY            VARCHAR2(320),
    MERCHANT_NAME1              VARCHAR2(320),
    MERCHANT_NAME2              VARCHAR2(320),
    MERCHANT_NUM                VARCHAR2(60) ,
    MERCHANT_POSTAL_CODE        VARCHAR2(320),
    MERCHANT_PROVINCE_STATE     VARCHAR2(320),
    MERCHANT_REFERENCE          VARCHAR2(320),
    MERCHANT_TAX_ID             VARCHAR2(320),
    MIS_INDUSTRY_CODE           VARCHAR2(320),
    POSTED_DATE                 DATE         ,
    RECORD_TYPE                 VARCHAR2(320),
    REFERENCE_NUMBER            VARCHAR2(960),
    SIC_CODE                    NUMBER(18, 0),
    TRANSACTION_DATE            DATE         ,
    ETL_SEQUENCE_ID             NUMBER(19, 0),
    ETL_VERSION_NUMBER          NUMBER(18, 0),
    DELETE_VERSION_NUMBER       NUMBER(18, 0),
    LAST_UPDATED_BY             VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN           VARCHAR2(128),
    CREATED_BY                  VARCHAR2(256)    NOT NULL,
    CREATION_DATE               TIMESTAMP(6)     NOT NULL,
    AIR_DEPARTURE_DATE          DATE         ,
    AIR_PASSENGER_NAME          VARCHAR2(320),
    AIR_TICKET_NUMBER           VARCHAR2(320),
    BILLED_AMOUNT               NUMBER       ,
    BILLED_CURRENCY_CODE        VARCHAR2(60) ,
    CARD_NUMBER                 VARCHAR2(320),
    CREDIT_CARD_TRXN_ID         NUMBER(18, 0),
    CURRENCY_CONVERSION_RATE    NUMBER       ,
    EXMCREDITCARDTRXNS_CB       VARCHAR2(256),
    EXMCREDITCARDTRXNS_CD       TIMESTAMP(6) ,
    EXMCREDITCARDTRXNS_LUB      VARCHAR2(256),
    EXMCREDITCARDTRXNS_LUD      TIMESTAMP(6) ,
    FOLIO_TYPE                  VARCHAR2(320),
    HOTEL_ARRIVAL_DATE          DATE         ,
    HOTEL_DEPART_DATE           DATE         ,
    HOTEL_STAY_DURATION         NUMBER       ,
    MERCHANT_ACTIVITY           VARCHAR2(320),
    MERCHANT_ADDRESS1           VARCHAR2(320),
    MERCHANT_ADDRESS2           VARCHAR2(320),
    MERCHANT_ADDRESS3           VARCHAR2(320),
    MERCHANT_ADDRESS4           VARCHAR2(320),
    MERCHANT_BRAND_CODE         VARCHAR2(200),
    MERCHANT_CATEGORY_CODE      VARCHAR2(120),
    MERCHANT_CHAIN_NAME         VARCHAR2(200),
    MERCHANT_CITY               VARCHAR2(320),
    MERCHANT_COUNTRY            VARCHAR2(320),
    MERCHANT_NAME1              VARCHAR2(320),
    MERCHANT_NAME2              VARCHAR2(320),
    MERCHANT_NUM                VARCHAR2(60) ,
    MERCHANT_POSTAL_CODE        VARCHAR2(320),
    MERCHANT_PROVINCE_STATE     VARCHAR2(320),
    MERCHANT_REFERENCE          VARCHAR2(320),
    MERCHANT_TAX_ID             VARCHAR2(320),
    MIS_INDUSTRY_CODE           VARCHAR2(320),
    POSTED_DATE                 DATE         ,
    RECORD_TYPE                 VARCHAR2(320),
    REFERENCE_NUMBER            VARCHAR2(960),
    SIC_CODE                    NUMBER(18, 0),
    TRANSACTION_DATE            DATE         ,
    CONSTRAINT pk_gtg_ts_creditcardtrxns PRIMARY KEY (ETL_SEQUENCE_ID, ETL_VERSION_NUMBER, ETL_SEQUENCE_ID, ETL_VERSION_NUMBER)
);
